org.eclipse.oomph.resources.backend

## Class BackendResource.Visitor.Default

- java.lang.Object
- - org.eclipse.oomph.resources.backend.BackendResource.Visitor.Default

- All Implemented Interfaces:
    BackendResource.Visitor
  Enclosing interface:
    BackendResource.Visitor

      public static class BackendResource.Visitor.Default
      extends Object
      implements BackendResource.Visitor

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.resources.backend.BackendResource.Visitor

      `BackendResource.Visitor.Default`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackendResource.Visitor.Default()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visit(BackendFile file, IProgressMonitor monitor)`
    `boolean` | `visit(BackendFolder folder, IProgressMonitor monitor)`
    `boolean` | `visit(BackendSystem system, IProgressMonitor monitor)`
    `boolean` | `visitContainer(BackendContainer container, IProgressMonitor monitor)`
    `protected boolean` | `visitDefault(BackendResource resource, IProgressMonitor monitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackendResource.Visitor.Default

          public BackendResource.Visitor.Default()

  - ### Method Detail

    - #### visitContainer

          public boolean visitContainer(BackendContainer container,
                               IProgressMonitor monitor)
                                 throws BackendException

      Throws:
        `BackendException`

    - #### visit

          public boolean visit(BackendSystem system,
                      IProgressMonitor monitor)
                        throws BackendException

      Specified by:
        `visit` in interface `BackendResource.Visitor`
      Throws:
        `BackendException`

    - #### visit

          public boolean visit(BackendFolder folder,
                      IProgressMonitor monitor)
                        throws BackendException

      Specified by:
        `visit` in interface `BackendResource.Visitor`
      Throws:
        `BackendException`

    - #### visit

          public boolean visit(BackendFile file,
                      IProgressMonitor monitor)
                        throws BackendException

      Specified by:
        `visit` in interface `BackendResource.Visitor`
      Throws:
        `BackendException`

    - #### visitDefault

          protected boolean visitDefault(BackendResource resource,
                             IProgressMonitor monitor)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html